com.smartgwt.client.widgets.form

## Class ColorPicker

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.layout.Layout
          - - com.smartgwt.client.widgets.layout.VLayout
            - - com.smartgwt.client.widgets.Window
              - - com.smartgwt.client.widgets.form.ColorPicker

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClearHandlers, HasClickHandlers, HasCloseClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMaximizeClickHandlers, HasMinimizeClickHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRestoreClickHandlers, HasRightMouseDownHandlers, HasRuleContextChangedHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers, HasColorChangedHandlers, HasColorSelectedHandlers, HasMembersChangedHandlers

      public class ColorPicker
      extends Window
      implements HasColorChangedHandlers, HasColorSelectedHandlers

  The ColorPicker widget allows the user to select a color from anywhere in the color spectrum. It also supports selecting the alpha (opacity) value of the color. The picker supports a simple mode - which allows for one-click selection from a standard palette of colors - and a complex mode which allow the user to define any conceivable color. It is possible for the user to switch from simple mode to complex by interacting with the widget. In general, the widget provides very similar functionality to the color picker dialogs found in graphics packages and other desktop software.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorPicker()`
    `ColorPicker(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addColorChangedHandler(ColorChangedHandler handler)` Add a colorChanged handler.
    `com.google.gwt.event.shared.HandlerRegistration` | `addColorSelectedHandler(ColorSelectedHandler handler)` Add a colorSelected handler.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getAllowComplexMode()` Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
    `java.lang.Boolean` | `getAutoCenterOnShow()` If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
    `java.lang.Boolean` | `getAutoHide()` When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode.
    `java.lang.Boolean` | `getAutoPosition()` If true, causes the ColorPicker to appear near where the mouse was last clicked.
    `java.lang.String` | `getBasicColorLabel()` The label shown above the basic color blocks.
    `int` | `getBlue()` Returns the Blue element of the currently-selected color, as an integer from 0-255
    `java.lang.String` | `getBlueFieldPrompt()` The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
    `java.lang.String` | `getBlueFieldTitle()` The title for the 'Blue' field in the complex chooser.
    `IButton` | `getCancelButton()` Cancel button for the ColorPicker
    `java.lang.String` | `getCancelButtonTitle()` The title for the 'Cancel' button.
    `java.lang.String[]` | `getColorArray()` Array of 40 HTML color strings, used to render the basic color selection boxes.
    `java.lang.String` | `getColorButtonBaseStyle()` Base CSS style applied to the basic color boxes
    `int` | `getColorButtonSize()` Width and height of the basic color boxes (they are always square, and they are all the same size).
    `java.lang.String` | `getCrosshairImageURL()` The location of the crosshair image file
    `java.lang.String` | `getDefaultColor()` The default color.
    `int` | `getDefaultOpacity()` The initial opacity value for the component, as a percentage value between 0 and 100
    `ColorPickerMode` | `getDefaultPickMode()` The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element).
    `int` | `getGreen()` Returns the Green element of the currently-selected color, as an integer from 0-255
    `java.lang.String` | `getGreenFieldPrompt()` The text to show when the mouse hovers over the 'Green' field in the complex chooser.
    `java.lang.String` | `getGreenFieldTitle()` The title for the 'Green' field in the complex chooser.
    `java.lang.String` | `getHtmlColor()` Returns the currently-selected color, in HTML color representation form, as a string.
    `java.lang.String` | `getHtmlFieldPrompt()` The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
    `java.lang.String` | `getHtmlFieldTitle()` The title for the 'HTML' field in the complex chooser.
    `int` | `getHue()` Returns the Hue of the currently-selected color, as an integer from 0-239
    `java.lang.String` | `getHueFieldPrompt()` The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
    `java.lang.String` | `getHueFieldTitle()` The title for the 'Hue' field in the complex chooser.
    `java.lang.String` | `getLessButtonTitle()` The title for the button that switches to a less complex view.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `java.lang.String` | `getLumFieldPrompt()` The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
    `java.lang.String` | `getLumFieldTitle()` The title for the 'Luminosity' field in the complex chooser.
    `int` | `getLuminosity()` Returns the Luminosity (brightness) of the currently-selected color, as an integer from 0-240
    `int` | `getLumWidth()` Width of the Luminosity bar
    `IButton` | `getModeToggleButton()` "More"/"Less" button for the ColorPicker
    `java.lang.String` | `getMoreButtonTitle()` The title for the button that switches to a more complex view.
    `IButton` | `getOkButton()` "OK" button for the ColorPicker
    `java.lang.String` | `getOkButtonTitle()` The title for the 'OK' button.
    `java.lang.String` | `getOpacitySliderLabel()` The label shown next to the opacity slider.
    `java.lang.String` | `getOpacityText()` The text to show underneath the selected color box, so that it can be seen through semi-transparent colors.
    `static ColorPicker` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRed()` Returns the Red element of the currently-selected color, as an integer from 0-255
    `java.lang.String` | `getRedFieldPrompt()` The text to show when the mouse hovers over the 'Red' field in the complex chooser.
    `java.lang.String` | `getRedFieldTitle()` The title for the 'Red' field in the complex chooser.
    `java.lang.String` | `getSatFieldPrompt()` The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
    `java.lang.String` | `getSatFieldTitle()` The title for the 'Sat' field in the complex chooser.
    `int` | `getSaturation()` Returns the Saturation of the currently-selected color, as an integer from 0-240
    `java.lang.String` | `getSelectedColorLabel()` The label shown next to the selected color box.
    `java.lang.Boolean` | `getShowCancelButton()` Should the Cancel button be visible.
    `java.lang.Boolean` | `getShowModeToggleButton()` Should the Mode Toggle button be visible.
    `java.lang.Boolean` | `getShowOkButton()` Should the OK button be visible.
    `java.lang.Boolean` | `getSupportsTransparency()` Determines whether to show the opacity slider.
    `int` | `getSwatchHeight()` Displayed height of the color swatch image.
    `java.lang.String` | `getSwatchImageURL()` The location of the color swatch image file
    `int` | `getSwatchWidth()` Displayed width of the color swatch image.
    `void` | `setAllowComplexMode(java.lang.Boolean allowComplexMode)` Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
    `void` | `setAutoCenterOnShow(java.lang.Boolean autoCenterOnShow)` If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
    `void` | `setAutoHide(java.lang.Boolean autoHide)` When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode.
    `void` | `setAutoPosition(java.lang.Boolean autoPosition)` If true, causes the ColorPicker to appear near where the mouse was last clicked.
    `void` | `setBasicColorLabel(java.lang.String basicColorLabel)` The label shown above the basic color blocks.
    `void` | `setBlue(int newValue)` Sets the Blue element of the selected color
    `void` | `setBlueFieldPrompt(java.lang.String blueFieldPrompt)` The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
    `void` | `setBlueFieldTitle(java.lang.String blueFieldTitle)` The title for the 'Blue' field in the complex chooser.
    `void` | `setCancelButtonTitle(java.lang.String cancelButtonTitle)` The title for the 'Cancel' button.
    `void` | `setColorArray(java.lang.String[] colorArray)` Array of 40 HTML color strings, used to render the basic color selection boxes.
    `void` | `setColorButtonBaseStyle(java.lang.String colorButtonBaseStyle)` Base CSS style applied to the basic color boxes
    `void` | `setColorButtonSize(int colorButtonSize)` Width and height of the basic color boxes (they are always square, and they are all the same size).
    `void` | `setCrosshairImageURL(java.lang.String crosshairImageURL)` The location of the crosshair image file
    `void` | `setCurrentPickMode(ColorPickerMode pickMode)` Changes the pick mode of this `ColorPicker` to `pickMode`.
    `void` | `setDefaultColor(java.lang.String defaultColor)` The default color.
    `void` | `setDefaultOpacity(int defaultOpacity)` The initial opacity value for the component, as a percentage value between 0 and 100
    `void` | `setDefaultPickMode(ColorPickerMode defaultPickMode)` The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element).
    `static void` | `setDefaultProperties(ColorPicker colorPickerProperties)` Class level method to set the default properties of this class.
    `void` | `setGreen(int newValue)` Sets the Green element of the selected color
    `void` | `setGreenFieldPrompt(java.lang.String greenFieldPrompt)` The text to show when the mouse hovers over the 'Green' field in the complex chooser.
    `void` | `setGreenFieldTitle(java.lang.String greenFieldTitle)` The title for the 'Green' field in the complex chooser.
    `void` | `setHtmlColor(java.lang.String newValue)` Changes the selected color to the one represented by the supplied HTML color string.
    `void` | `setHtmlFieldPrompt(java.lang.String htmlFieldPrompt)` The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
    `void` | `setHtmlFieldTitle(java.lang.String htmlFieldTitle)` The title for the 'HTML' field in the complex chooser.
    `void` | `setHue(int newValue)` Sets the Hue of the selected color
    `void` | `setHueFieldPrompt(java.lang.String hueFieldPrompt)` The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
    `void` | `setHueFieldTitle(java.lang.String hueFieldTitle)` The title for the 'Hue' field in the complex chooser.
    `void` | `setLessButtonTitle(java.lang.String lessButtonTitle)` The title for the button that switches to a less complex view.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.form.ColorPickerLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setLumFieldPrompt(java.lang.String lumFieldPrompt)` The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
    `void` | `setLumFieldTitle(java.lang.String lumFieldTitle)` The title for the 'Luminosity' field in the complex chooser.
    `void` | `setLuminosity(int newValue)` Sets the Luminosity (brightness) of the selected color
    `void` | `setLumWidth(int lumWidth)` Width of the Luminosity bar
    `void` | `setMoreButtonTitle(java.lang.String moreButtonTitle)` The title for the button that switches to a more complex view.
    `void` | `setOkButtonTitle(java.lang.String okButtonTitle)` The title for the 'OK' button.
    `void` | `setOpacity(int newValue)` Sets the Opacity of the selected color.
    `void` | `setOpacitySliderLabel(java.lang.String opacitySliderLabel)` The label shown next to the opacity slider.
    `void` | `setOpacityText(java.lang.String opacityText)` The text to show underneath the selected color box, so that it can be seen through semi-transparent colors.
    `void` | `setRed(int newValue)` Sets the Red element of the selected color
    `void` | `setRedFieldPrompt(java.lang.String redFieldPrompt)` The text to show when the mouse hovers over the 'Red' field in the complex chooser.
    `void` | `setRedFieldTitle(java.lang.String redFieldTitle)` The title for the 'Red' field in the complex chooser.
    `void` | `setSatFieldPrompt(java.lang.String satFieldPrompt)` The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
    `void` | `setSatFieldTitle(java.lang.String satFieldTitle)` The title for the 'Sat' field in the complex chooser.
    `void` | `setSaturation(int newValue)` Sets the Saturation of the selected color
    `void` | `setSelectedColorLabel(java.lang.String selectedColorLabel)` The label shown next to the selected color box.
    `void` | `setShowCancelButton(java.lang.Boolean showCancelButton)` Should the Cancel button be visible.
    `void` | `setShowModeToggleButton(java.lang.Boolean showModeToggleButton)` Should the Mode Toggle button be visible.
    `void` | `setShowOkButton(java.lang.Boolean showOkButton)` Should the OK button be visible.
    `void` | `setSupportsTransparency(java.lang.Boolean supportsTransparency)` Determines whether to show the opacity slider.
    `void` | `setSwatchHeight(int swatchHeight)` Displayed height of the color swatch image.
    `void` | `setSwatchImageURL(java.lang.String swatchImageURL)` The location of the color swatch image file
    `void` | `setSwatchWidth(int swatchWidth)` Displayed width of the color swatch image.

    - ### Methods inherited from class com.smartgwt.client.widgets.Window

      `addCloseClickHandler, addItem, addItem, addMaximizeClickHandler, addMember, addMember, addMinimizeClickHandler, addRestoreClickHandler, centerInPage, close, flash, getAnimateMinimize, getAutoCenter, getAutoSize, getBody, getBodyColor, getBodyStyle, getBringToFrontOnMouseUp, getCanDragReposition, getCanDragResize, getCanFocusInHeaderButtons, getCloseButton, getContentLayout, getContentsType, getDefaultMinimizeHeight, getDismissOnEscape, getDismissOnOutsideClick, getEditProxyConstructor, getFillSpaceStyleName, getFooter, getFooterHeight, getHeader, getHeaderBackground, getHeaderIcon, getHeaderLabel, getHeaderSrc, getHeaderStyle, getHiliteBodyColor, getHiliteHeaderSrc, getHiliteHeaderStyle, getIsModal, getItems, getMaximizeButton, getMaximized, getMinimizeAcceleration, getMinimizeButton, getMinimized, getMinimizeHeight, getMinimizeTime, getModalMask, getModalMaskOpacity, getModalMaskStyle, getOpacity, getPlacement, getPrintBodyStyle, getPrintHeaderStyle, getResizeFrom, getResizer, getRestoreButton, getShowBody, getShowCloseButton, getShowEdges, getShowFooter, getShowHeader, getShowHeaderBackground, getShowHeaderIcon, getShowMaximizeButton, getShowMinimizeButton, getShowModalMask, getShowResizer, getShowShadow, getShowStatusBar, getShowTitle, getSrc, getStatus, getStatusBar, getTitle, getUseBackMask, maximize, minimize, preloadImages, removeItem, restore, revealChild, revealChild, setAnimateMinimize, setAutoCenter, setAutoSize, setBodyColor, setBodyDefaults, setBodyStyle, setBringToFrontOnMouseUp, setCanDragReposition, setCanDragResize, setCanFocusInHeaderButtons, setContentLayout, setContentLayout, setContentsType, setDefaultMinimizeHeight, setDefaultProperties, setDismissOnEscape, setDismissOnOutsideClick, setEditProxyConstructor, setFillSpaceStyleName, setFooterControls, setFooterHeight, setHeaderControls, setHeaderIcon, setHeaderIcon, setHeaderIconDefaults, setHeaderIconProperties, setHeaderSrc, setHeaderStyle, setHiliteBodyColor, setHiliteHeaderSrc, setHiliteHeaderStyle, setIsModal, setKeepInParentRect, setKeepInParentRect, setLogicalStructure, setMaximized, setMinimizeAcceleration, setMinimized, setMinimizeHeight, setMinimizeTime, setModalMaskOpacity, setModalMaskStyle, setOpacity, setPlacement, setPrintBodyStyle, setPrintHeaderStyle, setResizeFrom, setShowBody, setShowCloseButton, setShowEdges, setShowFooter, setShowHeader, setShowHeaderBackground, setShowHeaderIcon, setShowMaximizeButton, setShowMinimizeButton, setShowModalMask, setShowResizer, setShowShadow, setShowStatusBar, setShowTitle, setSrc, setStatus, setTitle, setUseBackMask, shouldDismissOnEscape`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

      `setDefaultProperties, setLogicalStructure`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

      `addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit_Layout, onInit, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoParent, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCorrectZoomOverflow, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowHover, getShowHoverComponents, getShowResizeBar, getShowSnapGrid, getShrinkElementOnHide, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseCSSShadow, getUseDragMask, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, removeChild, removeChild, removePeer, removePeer, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeFonts, resizeFonts, resizeFonts, resizeIcons, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCorrectZoomOverflow, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowHover, setShowHoverComponents, setShowResizeBar, setShowSnapGrid, setShrinkElementOnHide, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setTabIndex, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseCSSShadow, setUseDragMask, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### ColorPicker

          public ColorPicker()

    - #### ColorPicker

          public ColorPicker(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static ColorPicker getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Window`

    - #### setAllowComplexMode

          public void setAllowComplexMode(java.lang.Boolean allowComplexMode)
                                   throws java.lang.IllegalStateException

      Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
      Parameters:
        `allowComplexMode` - New allowComplexMode value. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getAllowComplexMode

          public java.lang.Boolean getAllowComplexMode()

      Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
      Returns:
        Current allowComplexMode value. Default value is true

    - #### setAutoCenterOnShow

          public void setAutoCenterOnShow(java.lang.Boolean autoCenterOnShow)
                                   throws java.lang.IllegalStateException

      If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
      Parameters:
        `autoCenterOnShow` - New autoCenterOnShow value. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `setAutoPosition(java.lang.Boolean)`

    - #### getAutoCenterOnShow

          public java.lang.Boolean getAutoCenterOnShow()

      If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
      Returns:
        Current autoCenterOnShow value. Default value is true
      See Also:
        `getAutoPosition()`

    - #### setAutoHide

          public void setAutoHide(java.lang.Boolean autoHide)
                           throws java.lang.IllegalStateException

      When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode. By default it will only hide the `ColorPicker` in "simple" defaultPickMode.

      Set this property to false to disable the `ColorPicker` from automatically hiding, this can be especially useful when for instance embedding this component inside another component.

      Parameters:
        `autoHide` - New autoHide value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `setDefaultPickMode(com.smartgwt.client.types.ColorPickerMode)`

    - #### getAutoHide

          public java.lang.Boolean getAutoHide()

      When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode. By default it will only hide the `ColorPicker` in "simple" defaultPickMode.

      Set this property to false to disable the `ColorPicker` from automatically hiding, this can be especially useful when for instance embedding this component inside another component.

      Returns:
        Current autoHide value. Default value is null
      See Also:
        `getDefaultPickMode()`

    - #### setAutoPosition

          public void setAutoPosition(java.lang.Boolean autoPosition)
                               throws java.lang.IllegalStateException

      If true, causes the ColorPicker to appear near where the mouse was last clicked. If false, the ColorPicker is centered on first show; depending on the value of `autoCenterOnShow`, it either reappears wherever it was last shown after hide/show(), or centered regardless of where it was last shown.
      Parameters:
        `autoPosition` - New autoPosition value. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `setAutoCenterOnShow(java.lang.Boolean)`

    - #### getAutoPosition

          public java.lang.Boolean getAutoPosition()

      If true, causes the ColorPicker to appear near where the mouse was last clicked. If false, the ColorPicker is centered on first show; depending on the value of `autoCenterOnShow`, it either reappears wherever it was last shown after hide/show(), or centered regardless of where it was last shown.
      Returns:
        Current autoPosition value. Default value is true
      See Also:
        `getAutoCenterOnShow()`

    - #### setBasicColorLabel

          public void setBasicColorLabel(java.lang.String basicColorLabel)
                                  throws java.lang.IllegalStateException

      The label shown above the basic color blocks.
      Parameters:
        `basicColorLabel` - New basicColorLabel value. Default value is "Basic Colors:"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getBasicColorLabel

          public java.lang.String getBasicColorLabel()

      The label shown above the basic color blocks.
      Returns:
        Current basicColorLabel value. Default value is "Basic Colors:"
      See Also:
        `HTMLString`

    - #### setBlueFieldPrompt

          public void setBlueFieldPrompt(java.lang.String blueFieldPrompt)
                                  throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
      Parameters:
        `blueFieldPrompt` - New blueFieldPrompt value. Default value is "The Blue component of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getBlueFieldPrompt

          public java.lang.String getBlueFieldPrompt()

      The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
      Returns:
        Current blueFieldPrompt value. Default value is "The Blue component of the selected color"
      See Also:
        `HTMLString`

    - #### setBlueFieldTitle

          public void setBlueFieldTitle(java.lang.String blueFieldTitle)
                                 throws java.lang.IllegalStateException

      The title for the 'Blue' field in the complex chooser.
      Parameters:
        `blueFieldTitle` - New blueFieldTitle value. Default value is "Blue"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getBlueFieldTitle

          public java.lang.String getBlueFieldTitle()

      The title for the 'Blue' field in the complex chooser.
      Returns:
        Current blueFieldTitle value. Default value is "Blue"
      See Also:
        `HTMLString`

    - #### getCancelButton

          public IButton getCancelButton()
                                  throws java.lang.IllegalStateException

      Cancel button for the ColorPicker

      This component is an AutoChild named "cancelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current cancelButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setCancelButtonTitle

          public void setCancelButtonTitle(java.lang.String cancelButtonTitle)
                                    throws java.lang.IllegalStateException

      The title for the 'Cancel' button.
      Parameters:
        `cancelButtonTitle` - New cancelButtonTitle value. Default value is "Cancel"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getCancelButtonTitle

          public java.lang.String getCancelButtonTitle()

      The title for the 'Cancel' button.
      Returns:
        Current cancelButtonTitle value. Default value is "Cancel"
      See Also:
        `HTMLString`

    - #### setColorArray

          public void setColorArray(java.lang.String[] colorArray)
                             throws java.lang.IllegalStateException

      Array of 40 HTML color strings, used to render the basic color selection boxes.
      Parameters:
        `colorArray` - New colorArray value. Default value is [...]
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getColorArray

          public java.lang.String[] getColorArray()

      Array of 40 HTML color strings, used to render the basic color selection boxes.
      Returns:
        Current colorArray value. Default value is [...]

    - #### setColorButtonBaseStyle

          public void setColorButtonBaseStyle(java.lang.String colorButtonBaseStyle)
                                       throws java.lang.IllegalStateException

      Base CSS style applied to the basic color boxes
      Parameters:
        `colorButtonBaseStyle` - New colorButtonBaseStyle value. Default value is "ColorChooserCell"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `CSSStyleName`

    - #### getColorButtonBaseStyle

          public java.lang.String getColorButtonBaseStyle()

      Base CSS style applied to the basic color boxes
      Returns:
        Current colorButtonBaseStyle value. Default value is "ColorChooserCell"
      See Also:
        `CSSStyleName`

    - #### setColorButtonSize

          public void setColorButtonSize(int colorButtonSize)
                                  throws java.lang.IllegalStateException

      Width and height of the basic color boxes (they are always square, and they are all the same size).
      Parameters:
        `colorButtonSize` - New colorButtonSize value. Default value is 20
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getColorButtonSize

          public int getColorButtonSize()

      Width and height of the basic color boxes (they are always square, and they are all the same size).
      Returns:
        Current colorButtonSize value. Default value is 20

    - #### setCrosshairImageURL

          public void setCrosshairImageURL(java.lang.String crosshairImageURL)
                                    throws java.lang.IllegalStateException

      The location of the crosshair image file
      Parameters:
        `crosshairImageURL` - New crosshairImageURL value. Default value is "[SKIN]ColorPicker/crosshair.png"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `SCImgURL`

    - #### getCrosshairImageURL

          public java.lang.String getCrosshairImageURL()

      The location of the crosshair image file
      Returns:
        Current crosshairImageURL value. Default value is "[SKIN]ColorPicker/crosshair.png"
      See Also:
        `SCImgURL`

    - #### setDefaultColor

          public void setDefaultColor(java.lang.String defaultColor)
                               throws java.lang.IllegalStateException

      The default color. This is the color that is selected when the picker first loads
      Parameters:
        `defaultColor` - New defaultColor value. Default value is #808080
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getDefaultColor

          public java.lang.String getDefaultColor()

      The default color. This is the color that is selected when the picker first loads
      Returns:
        Current defaultColor value. Default value is #808080

    - #### setDefaultOpacity

          public void setDefaultOpacity(int defaultOpacity)
                                 throws java.lang.IllegalStateException

      The initial opacity value for the component, as a percentage value between 0 and 100
      Parameters:
        `defaultOpacity` - New defaultOpacity value. Default value is 100
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getDefaultOpacity

          public int getDefaultOpacity()

      The initial opacity value for the component, as a percentage value between 0 and 100
      Returns:
        Current defaultOpacity value. Default value is 100

    - #### setDefaultPickMode

          public void setDefaultPickMode(ColorPickerMode defaultPickMode)
                                  throws java.lang.IllegalStateException

      The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element). The `defaultPickMode` attribute specifies which of these two modes is in force when the picker first loads.
      If this method is called after the component has been drawn/initialized: Changes the pick mode of this `ColorPicker` to `pickMode`.

      Note: It is not allowed to set the pick mode to `ColorPickerMode.COMPLEX` if `allowComplexMode` is `false`.

      Parameters:
        `defaultPickMode` - the new pick mode. Default value is "simple"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `setAllowComplexMode(java.lang.Boolean)`

    - #### getDefaultPickMode

          public ColorPickerMode getDefaultPickMode()

      The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element). The `defaultPickMode` attribute specifies which of these two modes is in force when the picker first loads.
      Returns:
        Current defaultPickMode value. Default value is "simple"
      See Also:
        `getAllowComplexMode()`

    - #### setGreenFieldPrompt

          public void setGreenFieldPrompt(java.lang.String greenFieldPrompt)
                                   throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Green' field in the complex chooser.
      Parameters:
        `greenFieldPrompt` - New greenFieldPrompt value. Default value is "The Green component of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getGreenFieldPrompt

          public java.lang.String getGreenFieldPrompt()

      The text to show when the mouse hovers over the 'Green' field in the complex chooser.
      Returns:
        Current greenFieldPrompt value. Default value is "The Green component of the selected color"
      See Also:
        `HTMLString`

    - #### setGreenFieldTitle

          public void setGreenFieldTitle(java.lang.String greenFieldTitle)
                                  throws java.lang.IllegalStateException

      The title for the 'Green' field in the complex chooser.
      Parameters:
        `greenFieldTitle` - New greenFieldTitle value. Default value is "Green"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getGreenFieldTitle

          public java.lang.String getGreenFieldTitle()

      The title for the 'Green' field in the complex chooser.
      Returns:
        Current greenFieldTitle value. Default value is "Green"
      See Also:
        `HTMLString`

    - #### setHtmlFieldPrompt

          public void setHtmlFieldPrompt(java.lang.String htmlFieldPrompt)
                                  throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
      Parameters:
        `htmlFieldPrompt` - New htmlFieldPrompt value. Default value is "The selected color''s HTML coding"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getHtmlFieldPrompt

          public java.lang.String getHtmlFieldPrompt()

      The text to show when the mouse hovers over the 'HTML' field in the complex chooser.
      Returns:
        Current htmlFieldPrompt value. Default value is "The selected color''s HTML coding"
      See Also:
        `HTMLString`

    - #### setHtmlFieldTitle

          public void setHtmlFieldTitle(java.lang.String htmlFieldTitle)
                                 throws java.lang.IllegalStateException

      The title for the 'HTML' field in the complex chooser.
      Parameters:
        `htmlFieldTitle` - New htmlFieldTitle value. Default value is "HTML"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getHtmlFieldTitle

          public java.lang.String getHtmlFieldTitle()

      The title for the 'HTML' field in the complex chooser.
      Returns:
        Current htmlFieldTitle value. Default value is "HTML"
      See Also:
        `HTMLString`

    - #### setHueFieldPrompt

          public void setHueFieldPrompt(java.lang.String hueFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
      Parameters:
        `hueFieldPrompt` - New hueFieldPrompt value. Default value is "The Hue (base tone) of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getHueFieldPrompt

          public java.lang.String getHueFieldPrompt()

      The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
      Returns:
        Current hueFieldPrompt value. Default value is "The Hue (base tone) of the selected color"
      See Also:
        `HTMLString`

    - #### setHueFieldTitle

          public void setHueFieldTitle(java.lang.String hueFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Hue' field in the complex chooser.
      Parameters:
        `hueFieldTitle` - New hueFieldTitle value. Default value is "Hue"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getHueFieldTitle

          public java.lang.String getHueFieldTitle()

      The title for the 'Hue' field in the complex chooser.
      Returns:
        Current hueFieldTitle value. Default value is "Hue"
      See Also:
        `HTMLString`

    - #### setLessButtonTitle

          public void setLessButtonTitle(java.lang.String lessButtonTitle)
                                  throws java.lang.IllegalStateException

      The title for the button that switches to a less complex view.
      Parameters:
        `lessButtonTitle` - New lessButtonTitle value. Default value is "<< Less"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getLessButtonTitle

          public java.lang.String getLessButtonTitle()

      The title for the button that switches to a less complex view.
      Returns:
        Current lessButtonTitle value. Default value is "<< Less"
      See Also:
        `HTMLString`

    - #### setLumFieldPrompt

          public void setLumFieldPrompt(java.lang.String lumFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
      Parameters:
        `lumFieldPrompt` - New lumFieldPrompt value. Default value is "The Luminosity (brightness) of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getLumFieldPrompt

          public java.lang.String getLumFieldPrompt()

      The text to show when the mouse hovers over the 'Luminosity' field in the complex chooser.
      Returns:
        Current lumFieldPrompt value. Default value is "The Luminosity (brightness) of the selected color"
      See Also:
        `HTMLString`

    - #### setLumFieldTitle

          public void setLumFieldTitle(java.lang.String lumFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Luminosity' field in the complex chooser.
      Parameters:
        `lumFieldTitle` - New lumFieldTitle value. Default value is "Lum"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getLumFieldTitle

          public java.lang.String getLumFieldTitle()

      The title for the 'Luminosity' field in the complex chooser.
      Returns:
        Current lumFieldTitle value. Default value is "Lum"
      See Also:
        `HTMLString`

    - #### setLumWidth

          public void setLumWidth(int lumWidth)
                           throws java.lang.IllegalStateException

      Width of the Luminosity bar
      Parameters:
        `lumWidth` - New lumWidth value. Default value is 15
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLumWidth

          public int getLumWidth()

      Width of the Luminosity bar
      Returns:
        Current lumWidth value. Default value is 15

    - #### getModeToggleButton

          public IButton getModeToggleButton()
                                      throws java.lang.IllegalStateException

      "More"/"Less" button for the ColorPicker

      This component is an AutoChild named "modeToggleButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current modeToggleButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setMoreButtonTitle

          public void setMoreButtonTitle(java.lang.String moreButtonTitle)
                                  throws java.lang.IllegalStateException

      The title for the button that switches to a more complex view.
      Parameters:
        `moreButtonTitle` - New moreButtonTitle value. Default value is "More >>"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getMoreButtonTitle

          public java.lang.String getMoreButtonTitle()

      The title for the button that switches to a more complex view.
      Returns:
        Current moreButtonTitle value. Default value is "More >>"
      See Also:
        `HTMLString`

    - #### getOkButton

          public IButton getOkButton()
                              throws java.lang.IllegalStateException

      "OK" button for the ColorPicker

      This component is an AutoChild named "okButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current okButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setOkButtonTitle

          public void setOkButtonTitle(java.lang.String okButtonTitle)
                                throws java.lang.IllegalStateException

      The title for the 'OK' button.
      Parameters:
        `okButtonTitle` - New okButtonTitle value. Default value is "OK"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getOkButtonTitle

          public java.lang.String getOkButtonTitle()

      The title for the 'OK' button.
      Returns:
        Current okButtonTitle value. Default value is "OK"
      See Also:
        `HTMLString`

    - #### setOpacitySliderLabel

          public void setOpacitySliderLabel(java.lang.String opacitySliderLabel)
                                     throws java.lang.IllegalStateException

      The label shown next to the opacity slider. Ignored if `supportsTransparency` is false.
      Parameters:
        `opacitySliderLabel` - New opacitySliderLabel value. Default value is "Opacity:"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getOpacitySliderLabel

          public java.lang.String getOpacitySliderLabel()

      The label shown next to the opacity slider. Ignored if `supportsTransparency` is false.
      Returns:
        Current opacitySliderLabel value. Default value is "Opacity:"
      See Also:
        `HTMLString`

    - #### setOpacityText

          public void setOpacityText(java.lang.String opacityText)
                              throws java.lang.IllegalStateException

      The text to show underneath the selected color box, so that it can be seen through semi-transparent colors. If you do not want such text, set this value to blank. This value is irrelevant if `supportsTransparency` is false.
      Parameters:
        `opacityText` - New opacityText value. Default value is "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getOpacityText

          public java.lang.String getOpacityText()

      The text to show underneath the selected color box, so that it can be seen through semi-transparent colors. If you do not want such text, set this value to blank. This value is irrelevant if `supportsTransparency` is false.
      Returns:
        Current opacityText value. Default value is "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."
      See Also:
        `HTMLString`

    - #### setRedFieldPrompt

          public void setRedFieldPrompt(java.lang.String redFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Red' field in the complex chooser.
      Parameters:
        `redFieldPrompt` - New redFieldPrompt value. Default value is "The Red component of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getRedFieldPrompt

          public java.lang.String getRedFieldPrompt()

      The text to show when the mouse hovers over the 'Red' field in the complex chooser.
      Returns:
        Current redFieldPrompt value. Default value is "The Red component of the selected color"
      See Also:
        `HTMLString`

    - #### setRedFieldTitle

          public void setRedFieldTitle(java.lang.String redFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Red' field in the complex chooser.
      Parameters:
        `redFieldTitle` - New redFieldTitle value. Default value is "Red"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getRedFieldTitle

          public java.lang.String getRedFieldTitle()

      The title for the 'Red' field in the complex chooser.
      Returns:
        Current redFieldTitle value. Default value is "Red"
      See Also:
        `HTMLString`

    - #### setSatFieldPrompt

          public void setSatFieldPrompt(java.lang.String satFieldPrompt)
                                 throws java.lang.IllegalStateException

      The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
      Parameters:
        `satFieldPrompt` - New satFieldPrompt value. Default value is "The Saturation (color purity) of the selected color"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getSatFieldPrompt

          public java.lang.String getSatFieldPrompt()

      The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
      Returns:
        Current satFieldPrompt value. Default value is "The Saturation (color purity) of the selected color"
      See Also:
        `HTMLString`

    - #### setSatFieldTitle

          public void setSatFieldTitle(java.lang.String satFieldTitle)
                                throws java.lang.IllegalStateException

      The title for the 'Sat' field in the complex chooser.
      Parameters:
        `satFieldTitle` - New satFieldTitle value. Default value is "Sat"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getSatFieldTitle

          public java.lang.String getSatFieldTitle()

      The title for the 'Sat' field in the complex chooser.
      Returns:
        Current satFieldTitle value. Default value is "Sat"
      See Also:
        `HTMLString`

    - #### setSelectedColorLabel

          public void setSelectedColorLabel(java.lang.String selectedColorLabel)
                                     throws java.lang.IllegalStateException

      The label shown next to the selected color box.
      Parameters:
        `selectedColorLabel` - New selectedColorLabel value. Default value is "Selected Color:"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getSelectedColorLabel

          public java.lang.String getSelectedColorLabel()

      The label shown next to the selected color box.
      Returns:
        Current selectedColorLabel value. Default value is "Selected Color:"
      See Also:
        `HTMLString`

    - #### setShowCancelButton

          public void setShowCancelButton(java.lang.Boolean showCancelButton)
                                   throws java.lang.IllegalStateException

      Should the Cancel button be visible. Set to false to hide the Cancel button.

      Note : This is an advanced setting

      Parameters:
        `showCancelButton` - New showCancelButton value. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowCancelButton

          public java.lang.Boolean getShowCancelButton()

      Should the Cancel button be visible. Set to false to hide the Cancel button.
      Returns:
        Current showCancelButton value. Default value is true

    - #### setShowModeToggleButton

          public void setShowModeToggleButton(java.lang.Boolean showModeToggleButton)
                                       throws java.lang.IllegalStateException

      Should the Mode Toggle button be visible. Set to false to hide the Mode Toggle button.

      Note : This is an advanced setting

      Parameters:
        `showModeToggleButton` - New showModeToggleButton value. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowModeToggleButton

          public java.lang.Boolean getShowModeToggleButton()

      Should the Mode Toggle button be visible. Set to false to hide the Mode Toggle button.
      Returns:
        Current showModeToggleButton value. Default value is true

    - #### setShowOkButton

          public void setShowOkButton(java.lang.Boolean showOkButton)
                               throws java.lang.IllegalStateException

      Should the OK button be visible. Set to false to hide the OK button.

      Note : This is an advanced setting

      Parameters:
        `showOkButton` - New showOkButton value. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowOkButton

          public java.lang.Boolean getShowOkButton()

      Should the OK button be visible. Set to false to hide the OK button.
      Returns:
        Current showOkButton value. Default value is true

    - #### setSupportsTransparency

          public void setSupportsTransparency(java.lang.Boolean supportsTransparency)
                                       throws java.lang.IllegalStateException

      Determines whether to show the opacity slider. This allows the user to select colors with an alpha element (ie, semi-transparent colors). If this attribute is set to false, no opacity slider is shown, and all colors are completely opaque.
      If this method is called after the component has been drawn/initialized: Set the `supportsTransparency` flag.
      Parameters:
        `supportsTransparency` - Set to true to enable transparency/opacity. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSupportsTransparency

          public java.lang.Boolean getSupportsTransparency()

      Determines whether to show the opacity slider. This allows the user to select colors with an alpha element (ie, semi-transparent colors). If this attribute is set to false, no opacity slider is shown, and all colors are completely opaque.
      Returns:
        Current supportsTransparency value. Default value is true

    - #### setSwatchHeight

          public void setSwatchHeight(int swatchHeight)
                               throws java.lang.IllegalStateException

      Displayed height of the color swatch image. The default height is approximately that used by the Windows® XP color picking window
      Parameters:
        `swatchHeight` - New swatchHeight value. Default value is 170
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSwatchHeight

          public int getSwatchHeight()

      Displayed height of the color swatch image. The default height is approximately that used by the Windows® XP color picking window
      Returns:
        Current swatchHeight value. Default value is 170

    - #### setSwatchImageURL

          public void setSwatchImageURL(java.lang.String swatchImageURL)
                                 throws java.lang.IllegalStateException

      The location of the color swatch image file
      Parameters:
        `swatchImageURL` - New swatchImageURL value. Default value is "[SKIN]ColorPicker/spectrum.png"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `SCImgURL`

    - #### getSwatchImageURL

          public java.lang.String getSwatchImageURL()

      The location of the color swatch image file
      Returns:
        Current swatchImageURL value. Default value is "[SKIN]ColorPicker/spectrum.png"
      See Also:
        `SCImgURL`

    - #### setSwatchWidth

          public void setSwatchWidth(int swatchWidth)
                              throws java.lang.IllegalStateException

      Displayed width of the color swatch image. The default width is approximately that used by the Windows® XP color picking window
      Parameters:
        `swatchWidth` - New swatchWidth value. Default value is 170
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getSwatchWidth

          public int getSwatchWidth()

      Displayed width of the color swatch image. The default width is approximately that used by the Windows® XP color picking window
      Returns:
        Current swatchWidth value. Default value is 170

    - #### addColorChangedHandler

          public com.google.gwt.event.shared.HandlerRegistration addColorChangedHandler(ColorChangedHandler handler)

      Add a colorChanged handler.

      Override this method to be kept informed when the ColorPicker changes in real-time (for example, if you need to update your own GUI accordingly). Then use the getXxxx() methods (for example, `getBlue()` or `getLuminosity()`)to obtain current state as required.

      Specified by:
        `addColorChangedHandler` in interface `HasColorChangedHandlers`
      Parameters:
        `handler` - the colorChanged handler
      Returns:
        `HandlerRegistration` used to remove this handler

    - #### addColorSelectedHandler

          public com.google.gwt.event.shared.HandlerRegistration addColorSelectedHandler(ColorSelectedHandler handler)

      Add a colorSelected handler.

      Override this method to be notified when the user selects a color either by clicking a basic color box in simple mode, or by clicking the OK button in complex mode. It is not intended that client code call this method. The `ColorPicker` may automatically hide itself after calling this method depending on `ColorPicker.autoHide` and `ColorPicker.defaultPickMode`.

      Specified by:
        `addColorSelectedHandler` in interface `HasColorSelectedHandlers`
      Parameters:
        `handler` - the colorSelected handler
      Returns:
        `HandlerRegistration` used to remove this handler

    - #### getBlue

          public int getBlue()

      Returns the Blue element of the currently-selected color, as an integer from 0-255
      Returns:
        blue color component
      See Also:
        `setBlue(int)`

    - #### getGreen

          public int getGreen()

      Returns the Green element of the currently-selected color, as an integer from 0-255
      Returns:
        green color component
      See Also:
        `setGreen(int)`

    - #### getHtmlColor

          public java.lang.String getHtmlColor()

      Returns the currently-selected color, in HTML color representation form, as a string. HTML color representation is a hash sign, followed by the red, green and blue elements of the color in 2-digit hex form - for example "#F17F1D"
      Returns:
        HTML color value
      See Also:
        `setHtmlColor(java.lang.String)`

    - #### getHue

          public int getHue()

      Returns the Hue of the currently-selected color, as an integer from 0-239
      Returns:
        hue value
      See Also:
        `setHue(int)`

    - #### getLuminosity

          public int getLuminosity()

      Returns the Luminosity (brightness) of the currently-selected color, as an integer from 0-240
      Returns:
        luminosity value
      See Also:
        `setLuminosity(int)`

    - #### getRed

          public int getRed()

      Returns the Red element of the currently-selected color, as an integer from 0-255
      Returns:
        red color component
      See Also:
        `setRed(int)`

    - #### getSaturation

          public int getSaturation()

      Returns the Saturation of the currently-selected color, as an integer from 0-240
      Returns:
        saturation value
      See Also:
        `setSaturation(int)`

    - #### setBlue

          public void setBlue(int newValue)

      Sets the Blue element of the selected color
      Parameters:
        `newValue` - An integer between 0 and 255
      See Also:
        `getBlue()`

    - #### setCurrentPickMode

          public void setCurrentPickMode(ColorPickerMode pickMode)

      Changes the pick mode of this `ColorPicker` to `pickMode`.

      Note: It is not allowed to set the pick mode to `ColorPickerMode.COMPLEX` if `allowComplexMode` is `false`.

      Parameters:
        `pickMode` - the new pick mode.

    - #### setGreen

          public void setGreen(int newValue)

      Sets the Green element of the selected color
      Parameters:
        `newValue` - An integer between 0 and 255
      See Also:
        `getGreen()`

    - #### setHtmlColor

          public void setHtmlColor(java.lang.String newValue)

      Changes the selected color to the one represented by the supplied HTML color string. Note that the method only accepts the parameter if it represents a valid color (otherwise it is simply ignored).
      Parameters:
        `newValue` - A string in HTML color representation format (#RRGGBB)
      See Also:
        `getHtmlColor()`

    - #### setHue

          public void setHue(int newValue)

      Sets the Hue of the selected color
      Parameters:
        `newValue` - An integer between 0 and 239
      See Also:
        `getHue()`

    - #### setLuminosity

          public void setLuminosity(int newValue)

      Sets the Luminosity (brightness) of the selected color
      Parameters:
        `newValue` - An integer between 0 and 240
      See Also:
        `getLuminosity()`

    - #### setOpacity

          public void setOpacity(int newValue)

      Sets the Opacity of the selected color. Ignored if opacity is switched off.
      Parameters:
        `newValue` - An integer between 0 and 100
      See Also:
        `Window.getOpacity()`

    - #### setRed

          public void setRed(int newValue)

      Sets the Red element of the selected color
      Parameters:
        `newValue` - An integer between 0 and 255
      See Also:
        `getRed()`

    - #### setSaturation

          public void setSaturation(int newValue)

      Sets the Saturation of the selected color
      Parameters:
        `newValue` - An integer between 0 and 240
      See Also:
        `getSaturation()`

    - #### setDefaultProperties

          public static void setDefaultProperties(ColorPicker colorPickerProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `colorPickerProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.form.ColorPickerLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `Window`